Add Consignment to Checkout

Adds a new consignment to a checkout. To prevent lost updates due to concurrent requests overriding changes made by others, it is recommended to enable optimistic concurrency control by including the `version` field in the request payload. If the provided version does not match the version on the server, a conflict error will be returned, which the client can handle accordingly. For more information about working with consignments, see [Checkout consignment](/developer/docs/admin/checkout-and-cart/custom-checkouts/consignments). Though the only required `address` properties to create a consignment are `email` and `country_code`, to successfully [create an order](/developer/api-reference/rest/admin/management/checkouts/checkout-orders#create-an-order) the `address` requires the following properties: * `first_name` * `last_name` * `address1` * `city` * `country` * `email` * `country_code` Depending on the country, the following `address` properties may also be required: * `postal_code` * `state_or_province`

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Checkouts | modify | `store_checkouts` | | Checkouts | read-only | `store_checkouts_read_only` | | Checkout Content | modify | `store_checkout_content` | | Checkout Content | read-only | `store_checkout_content_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

checkoutIdstringRequired

ID of the checkout; the same as the cart ID.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

includeenumOptional
Include the shipping options available to this checkout.
Allowed values:

Request

This endpoint expects a list of objects.
addressobjectOptional
line_itemslist of objectsOptional
pickup_optionobjectOptional

Assigns a pickup consignment. Note: You cannot assign a shipping method with a pickup consignment.

versionintegerOptional

The cart version that you expect to apply the updates. If the provided version doesn’t match the current cart version, you will receive a conflict error. This field is optional; if not provided, optimistic concurrency control will not apply.

Response

dataobject
metaobject
Response metadata.

Errors

409
Conflict Error